Foreman - Bug #26097

Stroybook deployment doesn’'t work
02/20/2019 06:22 PM - Amir Fefer

Status: Closed

Priority: Normal

Assignee: Amir Fefer
Category: Development tools

Target version:

Difficulty: Fixed in Releases: 1.22.0
Triaged: No Found in Releases:

Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/3595,
https://github.com/theforeman/foreman/p
ull/6635

Description
how to reproduce:

1. run "npm run deploy-storybook®
2. The building stage is frozen due to memory leaks

I'm getting this error when build-stroybook is running:

<-—-- Last few GCs ———>

[26549:0x448e230] 38875 ms: Scavenge 1394.3 (1420.9) -> 1394.4 (1421.4) MB, 3.4 / 0.0 ms (aver
age mu = 0.171, current mu = 0.077) allocation failure

[26549:0x448e230] 38882 ms: Scavenge 1394.7 (1421.4) -> 1394.7 (1422.4) MB, 5.0 / 0.0 ms (aver
age mu = 0.171, current mu = 0.077) allocation failure

[26549:0x448e230] 40446 ms: Mark-sweep 1395.3 (1422.4) -> 1394.9 (1421.9) MB, 1558.3 / 0.0 ms
(average mu = 0.085, current mu = 0.017) allocation failure scavenge might not succeed

<-—-- JS stacktrace —--——>

==== JS stack trace

0: ExitFrame [pc: 0x372c2c35beld]

1: StubFrame [pc: 0x372c2c393d34]
Security context: 0x2f45cb69ebel <JSObject>

2: token(aka token) [0x37be2f49581] [0x24de739026f1 <undefined>:1940] [bytecode=0x39celdelefbl
offset=208] (this=0x24de739026f1 <undefined>, type=0x24de73906bdl <String[4]: name>,value=0x3bbc0c9
38fe9 <String[1l0]: regExpList>,is_comment=0x24de739026f1 <undefined>)

3: arguments adaptor frame: 2->3

4: read_word(ak...

FATAL ERROR: Ineffective mark-compacts near heap limit Allocation failed - JavaScript heap out of
memory

1: 0x8dclcO node::Abort () [/home/afeferku/.nvm/versions/node/v10.15.1/bin/node]

2: 0x8dc20c [/home/afeferku/.nvm/versions/node/v10.15.1/bin/node]

3: Oxad60ae v8::Utils::ReportOOMFailure(v8::internal::Isolate*, char const*, bool) [/home/afeferk
u/.nvm/versions/node/v10.15.1/bin/node]

4: Oxad62e4 v8::internal::V8::FatalProcessOutOfMemory (v8::internal::Isolate*, char const*, bool)
[/home/afeferku/.nvm/versions/node/v10.15.1/bin/node]

5: 0xec3972 [/home/afeferku/.nvm/versions/node/v10.15.1/bin/node]

6: Oxec3a78 v8::internal::Heap::CheckIneffectiveMarkCompact (unsigned long, double) [/home/afeferk
u/.nvm/versions/node/v10.15.1/bin/node]

7: Oxecfb52 v8::internal::Heap::PerformGarbageCollection(v8::internal: :GarbageCollector, v8::GCCa
llbackFlags) [/home/afeferku/.nvm/versions/node/v10.15.1/bin/node]
8: 0xed0484 v8::internal::Heap::CollectGarbage (v8::internal::AllocationSpace, v8::internal::Garba
geCollectionReason, v8::GCCallbackFlags) [/home/afeferku/.nvm/versions/node/v10.15.1/bin/node]

9: 0xed30fl v8::internal::Heap::AllocateRawWithRetryOrFail (int, v8::internal::AllocationSpace, v8
::internal::AllocationAlignment) [/home/afeferku/.nvm/versions/node/v10.15.1/bin/node]
10: 0xe9c574 v8::internal::Factory::NewFillerObject (int, bool, v8::internal::AllocationSpace) [/ho
me/afeferku/.nvm/versions/node/v10.15.1/bin/node]
11: O0x113beae v8::internal::Runtime_AllocateInNewSpace (int, v8::internal::0bject**, v8::internal::
Isolate*) [/home/afeferku/.nvm/versions/node/v10.15.1/bin/node]
12: 0x372c2c35beld

Associated revisions

Revision 81061b71 - 04/03/2019 07:34 AM - Ewoud Kohl van Wijngaarden
Refs #26097 - Ignore cross-env in NPM requirements (#3595)

This is only used for storybook building which we don't do in our
packaged builds.

Revision 7e9de250 - 04/03/2019 08:37 AM - Amir Fefer
Fixes #26097 - fix storybook build and deployment

History

#1 - 04/01/2019 04:31 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Amir Fefer

- Pull request https://github.com/theforeman/foreman/pull/6635 added

#2 - 04/02/2019 03:12 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/3595 added

#3 - 04/03/2019 08:37 AM - Tomer Brisker
- Category changed from JavaScript stack to Development tools

- Fixed in Releases 1.22.0 added

#4 - 04/03/2019 09:01 AM - Amir Fefer
- Status changed from Ready For Testing to Closed

Applied in changeset 7e9de25023cccfa00339b8906b01beec230511a3.
